.cellphone_wrapper,
.cellphone_wrapper * {
  box-sizing:border-box;
  margin:0px;
  padding:0px;
  font-family: 'Montserrat', sans-serif;
}

/*ici on va coder le background*/
.cellphone_wrapper{
  height:100%;
  width:100%;
/*   background:linear-gradient(30deg,#dddddd,#bbbbbb); */
  position:relative;
}

/*on va coder le cadre du telephone ici*/

#cadre{
  height:600px;
  width:300px;
  background:radial-gradient(black,#3f3e3f);
  border-radius:30px;
  position:relative;
  top:50%;
  left:0;
  transform:none;
  transition:1s;
  box-shadow: 10px 10px 20px 5px #888888;
  
}
#screen img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
}

/* here goes the screen*/
#screen{

  height:500px;
  width:290px;
  border-radius:10px;
  z-index: 1;
  
    
/*
  background-color: red; 
  background-image: url("/images/cellphone_screen.jpg") !important;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
 */
  
  position:absolute;
  top:49%;
  left:50%;
  transform:translate(-50%,-50%);
  
}
/* ici on va faire le lock screen*/
#locker_screen{
  position:absolute;
  z-index:5;
  height:500px;
  width:290px;
  border-radius:10px;
  background:linear-gradient(30deg,black,#050505);
  background-size:cover;
  top:49%;
  left:50%;
  transform:translate(-50%,-50%);
  transition:all 0.5s linear;
  
}

/* bouton central du telephone*/
.central_btn{
  width:35px;
  height:35px;
  background:linear-gradient(30deg,black,#3f3e3f);
  border-radius:50%;
  position:absolute;
  top:95%;
  left:50%;
  transform:translate(-50%,-50%);
  transition:1s;
  cursor:pointer;
}

/*on va mettre le bouton de la camera a ce niveau ci*/

.audio_btn{
  background-color:black;
  height:5px;
  width:40px;
  border-radius:2px;
  position:absolute;
  top:4%;
  left:50%;
  transform:translate(-50%,-50%);
  transition:1s;
}

/* on va mettre le bouton pour la camera ici*/

.cam_btn{
  background:linear-gradient(30deg,black,#3f3e3f);
  height:10px;
  width:10px;
  border-radius:50%;
  position:absolute;
  top:4%;
  left:calc(50% - 30px);
  transform:translate(-50%,-50%);
  transition:1s;
}

/*on va faire le bouton de volume haut */

.vol_haut_btn{
  background-color:#343334;
  height:30px;
  width:2px;
  border-left:1px solid black;
  border-radius:6px;
  position:absolute;
  top:24%;
  left:calc(50% - 151px);
  transform:translate(-50%,-50%);
  transition:1s;
}

/*on va faire le bouton de volume bas */

.vol_bas_btn{
  background-color:#343334;
  height:30px;
  width:2px;
  border-radius:6px;
  border-left:1px solid black;
  position:absolute;
  top:31%;
  left:calc(50% - 151px);
  transform:translate(-50%,-50%);
  transition:1s;
}

.lock_btn{
  background-color:#343334;
  height:30px;
  width:2px;
  cursor:pointer;
  border-right:1px solid black;
  border-radius:6px;
  position:absolute;
  top:24%;
  left:calc(50% + 151px);
  transform:translate(-50%,-50%);
  transition:1s;
}

.phone-inputs {
    position: absolute;
    top: 60%;
    left: 50%;
    transform: translate(-50%, -50%);

    display: flex;
    flex-direction: column;   /* Stack vertically */
    align-items: center;
    gap: 15px;
    background-color: white;

    z-index: 20;
    pointer-events: auto;
}

.phone-inputs select {
    width: 200px;
    height: 35px;
    font-size: 18px;
    text-align: center;
}

/*ici on va mettre des indications de fonctionnement*/


/* 
p{
  display:inline-block;
}
 */

/* 
.info_lock{
  position:absolute;
  top:33%;
  left:calc(50% + 250px);
  transform:translate(-50%,-50%);
}

.info_unlock{
  position:absolute;
  top:97%;
  left:20%;
  transform:translate(-50%,-50%);
}
 */

